<?php
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Ordenes/ordenes.php");

$nombrepagina = "ORDENES DE SERVICIO";
encabezado($target);
$v_mysql=conn_mysql();

$user=$_SESSION['validar'];
$tamano_pagina=20;
$_SESSION['tam']=$tamano_pagina;
$pagina = $_GET["pagina"];
if(!$pagina){
	$inicio=0;
	$_SESSION['inicio']=$inicio;
	$pagina=1;
}else{
	$inicio=($pagina-1)*$tamano_pagina;
	$_SESSION['inicio']=$inicio;
}
$filas=1;
if($filas == 1)
{
	class llamado{
		var $menuObj;
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	}
	$llamadoObj=new llamado();
	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	entrada($user,$_GET['id_user'],$_GET['suc']);
	echo"</td>";
	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	mostrar_cabeza_trabajo($nombrepagina);

	$perfil=$_SESSION['perfil'];
	$f1 = $_GET["f1"];
	$f2 = $_GET["f2"];
	$tabla = "guias_proceso";
	$f2=$fec_lim=sumaDia($f2,1);
	if($perfil==0){
		if($f1==''){
			$add="WHERE o.id_cliente='".$_GET['cliente']."' AND o.fecha_creacion = '".$f2."' GROUP BY o.orden DESC";
			$f1='0000-00-00';
		}elseif($f2==''){
			$add="WHERE o.id_cliente='".$_GET['cliente']."' AND o.fecha_creacion = '".$f1."' GROUP BY o.orden DESC";
		}else{
			$add="WHERE o.id_cliente='".$_GET['cliente']."' AND o.fecha_creacion BETWEEN '".$f1."' AND '".$f2."' GROUP BY o.orden DESC";
		}
	}else{
		if($f1==''){
			$add="WHERE o.id_sucursal='".$_GET['suc']."' AND o.id_cliente='".$_GET['cliente']."' AND o.fecha_creacion = '".$f2."' GROUP BY o.orden DESC";
			$f1='0000-00-00';
		}elseif($f2==''){
			$add="WHERE o.id_sucursal='".$_GET['suc']."' AND o.id_cliente='".$_GET['cliente']."' AND o.fecha_creacion = '".$f1."' GROUP BY o.orden DESC";
		}else{
			$add="WHERE o.id_sucursal='".$_GET['suc']."' AND o.id_cliente='".$_GET['cliente']."' AND o.fecha_creacion BETWEEN '".$f1."' AND '".$f2."' GROUP BY o.orden DESC";
		}
	}
	$ods_clientes="SELECT o.orden, o.producto, o.fecha_creacion, count(guia) ".
	" FROM guias_proceso as g inner join ordenes as o on g.orden=o.orden ".
	"$add";
	echo $ods_clientes;
	class filas{
		var $rowsobj;
		function cantidad($sql_consulta){
			$this->userObj=new select_zonas();
			$cant=$this->userObj->get_filas($sql_consulta);
			return $cant;
		}
	}
	$filasobj=new filas();
	$cant=$filasobj->cantidad($ods_clientes);
	$total_paginas= ceil($cant/$tamano_pagina);
	$datos_cliente="SELECT * FROM clientes WHERE id_cliente = '".$_GET['cliente']."'";
	$rst_datos_cliente=mysql_query($datos_cliente,$v_mysql);
	$datos=mysql_fetch_array($rst_datos_cliente);
?>
<CENTER>

<table width="615" border="0" class="primaria">
<tr>
<td colspan="9" align="center">
<? echo "<FONT color='#F3250A'>ORDENES ASIGNADAS A: </FONT><FONT color='#308DC7'>".$datos[2]."</FONT>";?>
</td>
</tr>
<tr>
<td colspan="9" align="center">
<? echo "<FONT color='#F3250A'>DESDE: </FONT><FONT color='#308DC7'>";
if($f1==''){
	echo "0000-00-00";
}else{
	echo $f1;
}
echo "</FONT>";?>
</td>
</tr>
<tr>
<td colspan="9" align="center">
<? echo "<FONT color='#F3250A'>HASTA: </FONT><FONT color='#308DC7'>";
if($f2==''){
	echo "0000-00-00";
}else{
	echo $f2;
}
echo "</FONT>";?>
</td>
</tr>
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1><div align="center">..:: Procesos Ordenes Cliente ::..</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1>Cantidad de registros encontrados <? print $cant;?></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="40">Orden</td>
<td valign=top class=miTable_th1 width="210">Producto</td>
<td valign=top class=miTable_th1 width="100">Fecha ingreso</td>
<td valign=top class=miTable_th1 width="60">Cantidad</td>
<td valign=top class=miTable_th1 width="85">Observacion</td>
<td valign=top class=miTable_th1 width="60">Entregadas</td>
<td valign=top class=miTable_th1 width="60">Devoluciones</td>
</tr>
<?
$cod_cli=$_GET['cliente'];
class elimina{
	var $userObj;
	function eliminar($cliente,$f1,$f2,$tabla){
		$tamano_pagina=$_SESSION['tam'];
		$inicio=$_SESSION['inicio'];
		$this->userObj=new select_zonas();
		$this->userObj->lista_ordenes_cliente($inicio,$tamano_pagina,$_GET['suc'],$_GET['id_user'],$cliente,$f1,$f2,$tabla);
	}
}
$eliminaObj=new elimina();
$eliminaObj->eliminar($cod_cli,$f1,$f2,$tabla);
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="9">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1)
{   echo "Paginas:";
//echo "&nbsp;&nbsp;";
$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
if ($start > 1 ){
	print "&nbsp;<a href=ver_odscliente.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal&cliente=$cod_cli&f1=$f1&f2=$f2&tabla=$tabla'> << </A>";
}
for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
	if($pagina == $start+$i){
		print "&nbsp;&nbsp;".($start+$i);
	}else{
		print "&nbsp;&nbsp;<a href='ver_odscliente.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&cliente=$cod_cli&f1=$f1&f2=$f2&tabla=$tabla'>". ($start+$i)." </A>";
	}
}
if($start+$i < $total_paginas){
	print "&nbsp;&nbsp;<a href='ver_odscliente.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&cliente=$cod_cli&f1=$f1&f2=$f2&tabla=$tabla'> >> </A>";

}


}
?>
</div>
</td>
</tr>
<form method='GET' action="">
<tr class=miTable_tr>
<td class=miTable_th1 colspan="9">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='hidden' name='cliente' value='<? echo $cod_cli?>'>
<input type='hidden' name='f1' value='<? echo $f1?>'>
<input type='hidden' name='f2' value='<? echo $f2?>'>
<input type='hidden' name='tabla' value='<? echo $tabla?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV>
</td>
</tr>
</table>
</form>
</CENTER>

	 <?
	 mostrar_pie();
}
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
	?>
	 <td>
	  <center>
	  <? pie_de_pagina();?>
	  </center>
	 </td>
	<?php
	echo"</tr>";
	echo"</tbody></table>";

	echo"</center>";
	echo"</body>";
	echo"</html>";

?>
